@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

/*================================
        Catalog Selector Popup
================================*/
// Relevant Changes applied to the Locale-Toggle Popup and RoleChooser Popup

@import "../support/_catalogSelector-variables.scss";

.yw-catalog-selector-popup {
    width: $catalogSelector__popup-container--width;
    border: none;
    border-radius: 0;
    overflow: auto;

    .z-popup-content {
        padding: 0;
    }
    .z-icon-caret-right,
    .z-icon-caret-down,
    .yw-treerow-catalogVersion .z-treecell-content,
    .yw-treerow-all .z-treecell-content {
        &:after {
            border-top: $catalogSelector__popup--tree-node-row-opened-subsection--border-top;
            position: absolute;
            width: 100%;
            height: 0;
            left: 0;
            top: 0;
        }
    }
    .z-icon-caret-right,
    .z-icon-caret-down {
        width: $catalogSelector__popup--tree-caret-space--width;
        height: $catalogSelector__popup--tree-icon--size;
        vertical-align: middle;
        display: inline;

        &:before {
            color: $catalogSelector__popup--item-caret--color;
            line-height: $catalogSelector__popup--tree-icon--size;
            margin-top: $catalogSelector__popup--tree-icon-symbol--margin-top;
            top: 50%;
            position: absolute;
        }
    }
    .z-tree {
        border: none;
    }
    .z-treecell {        
        &-text {
            font-size: $catalogSelector__popup--font-size;
            font-family: $catalogSelector__popup--font-family;
            padding-left: $catalogSelector__popup--tree-cell-lable--padding-left;
            padding-right: $catalogSelector__popup--tree-row-text--padding-right;
            display: inline-block;
            position: relative;
            word-break: break-all;
            word-wrap: break-word;
        }
        &-content {
            color: $catalogSelector__popup--font-color;
            line-height: $catalogSelector__popup--tree-row--line-height;
            padding: 0;
            
            .z-tree-icon {
                width: $catalogSelector__popup--tree-icon--size;
                height: $catalogSelector__popup--tree-icon--size;
                text-align: left;
            }
            .z-tree-line {
                height: auto;
            }
        }
    }
    .z-treerow {
        margin-top: -$catalogSelector__popup--tree-row-default--border-width;
        padding: $catalogSelector__popup--tree-row--padding;
        display: block;
        position: relative;
        overflow: hidden;
        
        .z-treecell {
            background: none;
            position: static;
        }
        &:hover {
            background-color: $catalogSelector__popup--item-hover--bg-color;
            cursor: pointer;
            
            .z-treecell-text {
                color: $catalogSelector__popup--item-hover--color;
            }  
        }
        &-selected {
            .z-treecell-text {
                color: $catalogSelector__popup--item-selected--color;
                padding-left: $catalogSelector__button-icon--size;

                &:before {
                    content: $check--content;
                    font-family: $font-family-fontawesome;
                    color: inherit;
                    text-indent: -$catalogSelector__button-icon--size;
                    width: $catalogSelector__button-icon--size;
                    display: inline-block;
                    position: absolute;
                }
            }
            &:hover {
                .z-treecell-text {
                    color: $catalogSelector__popup--item-hover--color;
                }
            }
        }
        &-checkable {
            display: none;
        }
        &:hover .yw-treerow-catalogVersion-sync-cell-btn {
            display: inline-block;
        }
    }
    .yw-treerow {
        &-catalog, 
        &-catalogVersion, 
        &-all {
            .z-tree-line.z-tree-spacer {
                display: none;
            }
        }
        &-catalog,
        &-all {
            position: relative;
        }
        &-catalog .z-tree-icon {
            position: static;

            .z-tree-open {
                &:after {
                    content: "";
                }
            }
        }
        &-catalogVersion {
            padding-left: $catalogSelector__popup--tree-caret-space--width + $catalogSelector__button--padding-x;
            position: relative;
            z-index: 1;
                
            .z-treecell {
                &-text {
                    padding-right: $catalogSelector__popup-sync-cell-text--padding-right;
                }
                &-content:after {
                    content: "";
                    bottom: 0;
                    top: auto;
                }
            }
            &-sync-cell-btn {
                top: $catalogSelector__popup--tree-row--padding-y;
                bottom: $catalogSelector__popup--tree-row--padding-y;
                border-left: $catalogSelector__popup-sync-cell-btn--border-left;
                width: $catalogSelector__popup-sync-cell-btn--width;
                position: absolute;
                background-color: transparent;
                box-shadow: none;            
                height: auto;
                right: 0;
                min-height: 0;
                display: none;
                
                &:before {                
                    width: $catalogSelector__popup-sync-cell-icon--size;
                    height: $catalogSelector__popup-sync-cell-icon--size;
                    line-height: $catalogSelector__popup-sync-cell-icon--size;
                    margin-top: $catalogSelector__popup-sync-cell-icon--margin;
                    margin-left: $catalogSelector__popup-sync-cell-icon--margin;
                    content: "";
                    background: url("images/icon_catalog_sync_default.png") no-repeat center;
                    top: 50%;
                    left: 50%;
                    text-align: center;
                    position: absolute;
                    transition: rotate 0.2s ease-out;
                    transform: rotate(0deg);
                }
                &:hover,
                &:active,
                &:focus {
                    box-shadow: none;
                    
                    &:before {
                        background-image: url("images/icon_catalog_sync_hover.png");

                    }
                }
                &:active, 
                &:focus {
                    &:before {
                        animation: rotate-animation 1.4s linear infinite;
                    }
                }
            }
        }
        &-all {
            background-color: $catalogSelector__popup--catalog-all--bg-color;
            padding-left: $catalogSelector__popup--catalog-all-row--padding-left; 

            .z-treecell-content {
                .z-treecell-text {
                    padding-left: $catalogSelector__popup--catalog-all-row-text--padding-left;
                    position: relative;
                    
                    &:before {
                        width: $catalogSelector__popup--catalog-all-icon--width;
                        height: $catalogSelector__popup--catalog-all-icon--height;
                        margin-top: - $catalogSelector__popup--catalog-all-icon--height/2;
                        background: $catalogSelector__popup--catalog-all-icon--bg;
                        top: 50%;
                        left: 0;
                        content: "";
                        position: absolute;
                    }
                }
                &:after {
                    content: "";
                }
            }
            &.z-treerow-selected {
                .z-treecell-content .z-treecell-text:before {  
                    background-image: url('images/icon_catalog_all_infinity--active.png');
                }
            }
        }
    }
}
